using System;

namespace Library.Eaf.Core.Smtp
{

    public class EmailMessage
    {
        public EmailMessage() { }
        public EmailMessage(string subject, string body, MailPriority priority = MailPriority.Normal) { }

        public string Body { get; }
        public MailPriority Priority { get; }
        public string Subject { get; }

        public EmailMessage PriorityHigh() { throw new NotImplementedException(); }
        public EmailMessage PriorityLow() { throw new NotImplementedException(); }
        public EmailMessage PriorityNormal() { throw new NotImplementedException(); }
        public EmailMessage SetBody(string body) { throw new NotImplementedException(); }
        public EmailMessage SetPriority(MailPriority priority) { throw new NotImplementedException(); }
        public EmailMessage SetSubject(string subject) { throw new NotImplementedException(); }

    }

}